<?php
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;
use Doctrine\ORM\EntityManager;

class GeraCuponsMastersafService {
   
    protected $entityManager;
    
    public function __construct($entityManager) {
        $this->entityManager = $entityManager;
    }

	public function verificaDuplicidadeCupons($CDFILIAL, $DTINICIAL, $DTFINAL) {
        try{
            $params = array(
                'CDFILIAL'  => $CDFILIAL,
                'DTINICIAL' => $DTINICIAL,
                'DTFINAL'   => $DTFINAL
            );
            return $this->entityManager->getConnection()->fetchAll(Utilities\Query::VERIFICA_DUPLICIDADE_CUPONS, $params);
        }catch(\Exception $e){
            throw $e;
        }
    }
    
    public function getFiliais() {
        $retorno = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_FILIAIS_MASTERSAF);
        return array_map(function($obj) {
            return $obj['CDFILIAL'];
        }, $retorno);
        
    }
}